<template>
  <v-container>
    <h2 class="my-3">Gestion des personnes</h2>
    <h3>La liste des personnes</h3>
    <table class="center" border="1"> <!-- Récupération des langues ajoutés dans la base -->
      <tr>
        <th>Nom</th>
        <th>Prénom</th>
        <th>Date de naissance</th>
        <th>Lieu de naissance</th>
        <th>Metier</th>
      </tr>
      <tr v-for="personne in personnes" :key="personne.uuidpersonne">
        <td>{{ personne.nompersonne }}</td>
        <td>{{ personne.prenompersonne }}</td>
        <td>{{ personne.datenaissance }}</td>
        <td>{{ personne.lieunaissance }}</td>
        <td>{{ personne.libellemetier }}</td>
      </tr>
    </table>
    <br>
    <h3>Ajouter une personne</h3>
    <v-layout column>
      <v-layout row wrap> <!-- Ajouter une personne -->
        <v-flex md4>
          <v-text-field v-model="nompersonne" label="Nom"></v-text-field>
        </v-flex>
        <v-flex md4 offset-md1>
          <v-text-field v-model="prenompersonne" label="Prénom"></v-text-field>
        </v-flex>
      </v-layout>
      <v-layout row wrap>
        <v-flex md4>
          <v-text-field v-model="datenaissance" label="Date de naissance"></v-text-field>
        </v-flex>
        <v-flex md4 offset-md1>
          <v-text-field v-model="lieunaissance" label="Lieu de naissance"></v-text-field>
        </v-flex>
      </v-layout>
      <v-layout row wrap>
        <v-flex md4>
          <v-select label="Choisir un métier" v-model="metierpersonne" v-bind:items="metier" item-text="libellemetier" item-value="uuidmetier">
        </v-select>
        </v-flex>
        <v-flex md4 offset-md1>
          <v-text-field v-model="description" label="Description"></v-text-field>
        </v-flex>
      </v-layout>
    </v-layout>
    <v-btn outline color="light-green darken-1" v-on:click="addPersonne()">Ajouter</v-btn>
    <h3>Supprimer une personne</h3>
    <v-layout row wrap> <!-- Supprime une personne-->
      <v-flex md4>
       <v-select label="Choisir une personne" v-model="idpersonne" v-bind:items="personnes" item-text="nompersonne" item-value="uuidpersonne">
        </v-select>
      </v-flex>
      <v-flex md4 offset-md1>
        <v-btn outline color="error" v-on:click="deletePersonne()">Supprimer</v-btn>
      </v-flex>
    </v-layout>
    <br>
    <h3>Ajouter un métier</h3>
    <v-layout row wrap> <!-- Ajouter un metier -->
      <v-flex md4>
        <v-text-field v-model="libellemetier" label="Libellé du métier"></v-text-field>
      </v-flex>
      <v-flex md4 offset-md1>
        <v-btn outline color="light-green darken-1" v-on:click="addMetier()">Ajouter</v-btn>
      </v-flex>
    </v-layout>
    <h3>Supprimer un métier</h3>
    <v-layout row wrap> <!-- Supprime une metier -->
      <v-flex md4>
       <v-select label="Choisir un métier" v-model="metierpersonne" v-bind:items="metier" item-text="libellemetier" item-value="uuidmetier">
        </v-select>
      </v-flex>
      <v-flex md4 offset-md1>
        <v-btn outline color="error" v-on:click="deleteMetier()">Supprimer</v-btn>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>
export default {
  data () {
    return {
      nompersonne: '',
      prenompersonne: '',
      datenaissance: '',
      lieunaissance: '',
      metierpersonne: '',
      libellemetier: '',
      metier: [],
      personnes: [],
      idpersonne: ''
    }
  },
  mounted () {
    this.getPersonneMetier()
  },
  methods: {
    getPersonneMetier: function () {
      this.$http.get('http://localhost:3000/metier').then(response => {
      this.metier = response.body
    })
    this.$http.get('http://localhost:3000/personne').then(response => {
      this.personnes = response.body
    })
    },
    addPersonne: function () {
      const personne = {
        nom: this.nompersonne,
        prenom: this.prenompersonne,
        date: this.datenaissance,
        lieunaissance: this.lieunaissance,
        metier: this.metierpersonne
      }
      this.$http.post('http://localhost:3000/personne', personne)
      .then(response => {
        console.log('POST :', response)
      })
    },
    addMetier: function () {
      console.log('POST Metier :', this.libellemetier)
      const metier = {
        libelle: this.libellemetier
      }
      this.$http.post('http://localhost:3000/metier', metier)
      .then(response => {
        console.log('POST :', response)
      })
    },
    putPersonne: function () {
    },
    putMetier: function () {
    },
    deleteMetier: function () {
    },
    deletePersonne: function () {
    }
  }
}
</script>